Package com.mapd.thrift.server

## Class MapD.AsyncProcessor<I extends MapD.AsyncIface>

- java.lang.Object
- - org.apache.thrift.TBaseAsyncProcessor<I>
  - - com.mapd.thrift.server.MapD.AsyncProcessor<I>

All Implemented Interfaces:
  `org.apache.thrift.TAsyncProcessor`, `org.apache.thrift.TProcessor`

Enclosing class:
  MapD

    public static class MapD.AsyncProcessor<I extends MapD.AsyncIface>
    extends org.apache.thrift.TBaseAsyncProcessor<I>

### Nested Class Summary

Nested Classes
`static class` `MapD.AsyncProcessor.broadcast_serialized_rows<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.check_table_consistency<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.checkpoint<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.clear_cpu_memory<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.clear_gpu_memory<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.connect<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.create_dashboard<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.create_link<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.create_table<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.deallocate_df<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.delete_dashboard<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.detect_column_types<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.disconnect<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.execute_next_render_step<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.execute_query_step<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_all_files_in_archive<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_all_roles_for_user<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_completion_hints<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_dashboard<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_dashboard_grantees<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_dashboards<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_databases<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_db_object_privs<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_db_objects_for_grantee<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_device_parameters<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_first_geo_file_in_archive<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_hardware_info<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_heap_profile<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_internal_table_details<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_layers_in_geo_file<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_license_claims<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_link_view<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_memory<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_physical_tables<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_result_row_for_pixel<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_roles<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_server_status<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_session_info<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_status<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_table_details<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_table_epoch<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_table_epoch_by_name<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_tables<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_tables_meta<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_users<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_version<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.get_views<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.has_object_privilege<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.has_role<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.import_geo_table<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.import_table<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.import_table_status<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.insert_data<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.interrupt<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.krb5_connect<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.load_table<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.load_table_binary<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.load_table_binary_arrow<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.load_table_binary_columnar<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.register_runtime_extension_functions<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.render_vega<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.replace_dashboard<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.set_execution_mode<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.set_license_key<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.set_table_epoch<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.set_table_epoch_by_name<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.share_dashboard<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.sql_execute<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.sql_execute_df<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.sql_execute_gdf<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.sql_validate<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.start_heap_profile<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.start_query<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.start_render_query<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.stop_heap_profile<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.switch_database<I extends MapD.AsyncIface>`
`static class` `MapD.AsyncProcessor.unshare_dashboard<I extends MapD.AsyncIface>`

### Field Summary

### Fields inherited from class org.apache.thrift.TBaseAsyncProcessor

`LOGGER`

### Constructor Summary

Constructors
`` `AsyncProcessor​(I iface)`
`protected` `AsyncProcessor​(I iface, Map<String,​org.apache.thrift.AsyncProcessFunction<I,​? extends org.apache.thrift.TBase,​?>> processMap)`

### Method Summary

### Methods inherited from class org.apache.thrift.TBaseAsyncProcessor

`getProcessMapView, process, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncProcessor

    public AsyncProcessor​(I iface)

#### AsyncProcessor

    protected AsyncProcessor​(I iface,
                             Map<String,​org.apache.thrift.AsyncProcessFunction<I,​? extends org.apache.thrift.TBase,​?>> processMap)